org.jfree.ui.about.resources

## Class AboutResources

- java.lang.Object
- - java.util.ResourceBundle
  - - java.util.ListResourceBundle
    - - org.jfree.ui.about.resources.AboutResources

    public class AboutResources
    extends java.util.ListResourceBundle

A resource bundle that stores all the user interface items that might need localisation.

Author:
  David Gilbert

### Nested Class Summary

### Nested classes/interfaces inherited from class java.util.ResourceBundle

`java.util.ResourceBundle.Control`

### Field Summary

### Fields inherited from class java.util.ResourceBundle

`parent`

### Constructor Summary

Constructors
Constructor and Description
`AboutResources()` Default constructor.

### Method Summary

Methods
`java.lang.Object[][]` `getContents()` Returns the array of strings in the resource bundle.

### Methods inherited from class java.util.ListResourceBundle

`getKeys, handleGetObject, handleKeySet`

### Methods inherited from class java.util.ResourceBundle

`clearCache, clearCache, containsKey, getBundle, getBundle, getBundle, getBundle, getBundle, getBundle, getLocale, getObject, getString, getStringArray, keySet, setParent`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AboutResources

    public AboutResources()

Default constructor.

### Method Detail

#### getContents

    public java.lang.Object[][] getContents()

Returns the array of strings in the resource bundle.

Specified by:
  `getContents` in class `java.util.ListResourceBundle`
Returns:
  the resources.